On This Page
Add a Partner Solution Key to an Existing Transacting
Merchant
The Partner Integration Configuration Service (PICS) Tenant Configuration API enables
portfolio users to configure their merchants to use a technology partner’s solution.
This merchant configuration is required if the technology partner solution uses partner
solution key authentication.
Completing this configuration authorizes the technology partner to send API requests on
the merchant's behalf using the Partner Solution Key.
Requirement
This configuration is mandatory before a Partner Solution Key can be used. If you do
not complete this configuration, API requests using the Partner Solution Key fail
with authorization errors.
Responsible Parties
Configuration must be completed by the portfolio owner. The portfolio owner is
responsible for granting delegated authorization to the technology partner's
solution.
IMPORTANT
If you are a tech partner, you cannot perform this
configuration on your own. Coordinate with the appropriate portfolio owner
before beginning your integration to avoid delays.
Limitations
Revoking delegated authorization is currently only available to internal users. If a
tenant configuration needs to be revoked, contact your
Cybersource
representative.PICS Tenant Configuration API Reference
This section provides reference information for the PICS Tenant Configuration
API.
Endpoint
- Test:POST https://ebc2test.cybersource.com/pics/v1/tenants-configurations
- Production:POST https://ebc2.cybersource.com/pics/v1/tenants-configurations
Organization Type Support
The PICS Tenant Configuration API is available to partner resellers who have
a portfolio account.
IMPORTANT
If a merchant ID (MID) is not in your portfolio
hierarchy, the PICS API responds with an unauthorized status.
Request Parameters
API Field | Required | Type | Description |
|---|---|---|---|
solutionId | Yes | String | The unique identifier for the system resource. A partner can
use it to reference a specific solution throughout the
system. |
tenantConfigurationId | No | String | The organizationId is the unique identifier for this system
resource. You will see various places where it must be
referenced in the URI path, or when querying the hierarchy for
ancestors or descendants. |
tenantId | No | String | Contained in the tenantInformation object. TenantId is
external solution ID given by tech partner. Not applicable to
all request types. |
merchantOrganizationId | Yes | String | Contained in the tenantInformation object. The
merchantOrganizationId is the OrgID of a merchant that the
tenant represents. |
Sample Request Payload
{ "solutionId": "6hah804t", "tenantConfigurationId": "", "tenantInformation": { "merchantOrganizationId": "testrest" } }
Response
Returns a JSON payload containing tenant configuration ID.
API Field | Type | Description |
|---|---|---|
tenantConfigurationId | String | The organizationId is the unique identifier for this system
resource. There are multiple location where it is referenced in
the URI path or when querying the hierarchy for ancestors or
descendants. |
status | String | Possible enumerated values: LIVE ,
INACTIVE , TEST |
submitTimeUtc | String | The time of request in UTC. Format: <date-time> |
Sample Success Response
{ "tenantConfigurationId": "b1395o4b", "status": "TEST", "submitTimeUtc": "2024-11-04T20:48:32.755745001Z" }
Sample Unauthorized Response
{ "submitTimeUtc": "2024-11-26T22:28:45.803925600Z", "status": "UNAUTHORIZED", "reason": "UNAUTHORIZED", "message": "merchantOrgId is not under provided portfolio" }